Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BasicBehaviorNewGoToBall Class Reference

A Basic Behavior for going to the ball. More...

`#include <GT2005SimpleBasicBehaviors.h>`

Inheritance diagram for GT2005BasicBehaviorNewGoToBall:

[legend]
Collaboration diagram for GT2005BasicBehaviorNewGoToBall:

[legend]
List of all members.

## Public Member Functions
| GT2005BasicBehaviorNewGoToBall (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
virtual void | execute ()
| Executes the basic behavior.
## Private Attributes
double | distanceAtEnd
| parameter "go-to-ball.distance"
double | maxSpeed
| parameter "go-to-ball.max-speed"
double | maxSpeedY
| parameter "go-to-ball.max-speed.y"
WalkAccelerationRestrictor | accelerationRestrictor
| Restricts the walk acceleration to maximum values.
double | angleFactor
| parameter "go-to-ball.angle-factor"
double | slowDownDistance
| parameter "go-to-ball.slow-down-distance"
double | yOffset
| parameter "go-to-ball.y-offset"
double | walkType
| parameter "walk-type"
double | maxTurnSpeed
| parameter "max-turn-speed"

## Detailed Description

A Basic Behavior for going to the ball.

Author:
  Matthias Jüngel

  Martin Lötzsch

  Jan Hoffmann

Definition at line 29 of file GT2005SimpleBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005BasicBehaviorNewGoToBall::GT2005BasicBehaviorNewGoToBall | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Definition at line 37 of file GT2005SimpleBasicBehaviors.h. References angleFactor, distanceAtEnd, maxSpeedY, maxTurnSpeed, Xabsl2BasicBehavior::registerParameter(), slowDownDistance, and yOffset.

Here is the call graph for this function:

## Member Function Documentation

void GT2005BasicBehaviorNewGoToBall::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Definition at line 29 of file GT2005SimpleBasicBehaviors.cpp. References angleFactor, Geometry::angleTo(), Geometry::distanceTo(), fromDegrees(), BallModel::getKnownPosition(), RobotPose::getPose(), max, maxSpeedY, maxTurnSpeed, min, MotionRequest::motionType, Vector2< V >::normalize(), pi, Pose2D::rotation, slowDownDistance, Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, WalkRequest::walkType, Vector2< V >::x, Vector2< double >::x, Vector2< V >::y, Vector2< double >::y, and yOffset.

Here is the call graph for this function:

## Member Data Documentation

double GT2005BasicBehaviorNewGoToBall::distanceAtEnd`[private]`

| parameter "go-to-ball.distance" Definition at line 58 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005BasicBehaviorNewGoToBall().

double GT2005BasicBehaviorNewGoToBall::maxSpeed`[private]`

| parameter "go-to-ball.max-speed" Definition at line 61 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorNewGoToBall::maxSpeedY`[private]`

| parameter "go-to-ball.max-speed.y" Definition at line 64 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), and GT2005BasicBehaviorNewGoToBall().

WalkAccelerationRestrictor GT2005BasicBehaviorNewGoToBall::accelerationRestrictor`[private]`

| Restricts the walk acceleration to maximum values. Definition at line 67 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorNewGoToBall::angleFactor`[private]`

| parameter "go-to-ball.angle-factor" Definition at line 70 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), and GT2005BasicBehaviorNewGoToBall().

double GT2005BasicBehaviorNewGoToBall::slowDownDistance`[private]`

| parameter "go-to-ball.slow-down-distance" Definition at line 73 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), and GT2005BasicBehaviorNewGoToBall().

double GT2005BasicBehaviorNewGoToBall::yOffset`[private]`

| parameter "go-to-ball.y-offset" Definition at line 76 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), and GT2005BasicBehaviorNewGoToBall().

double GT2005BasicBehaviorNewGoToBall::walkType`[private]`

| parameter "walk-type" Definition at line 79 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorNewGoToBall::maxTurnSpeed`[private]`

| parameter "max-turn-speed" Definition at line 82 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), and GT2005BasicBehaviorNewGoToBall().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.cpp